package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PengirimanBarangVO extends BaseTransactionVO {

	private static final long serialVersionUID = 2401133326448324369L;

	@Column(name = "Tgl", nullable = false)
	@Caption(value = "Tgl")
	private Date tgl;

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	private RuanganVO ruangan;

	@Column(name = "TglPengiriman", nullable = false)
	@Caption(value = "Tgl Pengiriman")
	private Date tglPengiriman;

	@Column(name = "BeratLinenKotor", nullable = false)
	@Caption(value = "Berat Linen Kotor")
	private Float beratLinenKotor;

	public Date getTglPengiriman() {
		return tglPengiriman;
	}

	public void setTglPengiriman(Date tglPengiriman) {
		this.tglPengiriman = tglPengiriman;
	}

	public Float getBeratLinenKotor() {
		return beratLinenKotor;
	}

	public void setBeratLinenKotor(Float beratLinenKotor) {
		this.beratLinenKotor = beratLinenKotor;
	}

	public Date getTgl() {
		return tgl;
	}

	public void setTgl(Date tgl) {
		this.tgl = tgl;
	}

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

}
